Delete Wallet
Delete an existing user wallet.
Delete an existing Wallet.
Deletes an existing Wallet with the provided ID. The deleted Wallet will no longer be able to present their credentials. All the credentials of this Wallet will be deleted as well. The ID and public key of the deleted Wallet will be returned.
Path Parameters
walletId*string
The unique identifier of the Wallet.
Format
uuidHeader Parameters
Authorization*string
Token for authenticating requests to the FortID Wallet Service.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://ews.fortid.com/wallets/f4856bb7-d77a-4a6a-9c8a-7d7f6f639cfb" \ -H "Authorization: Bearer {access_token}"{
"walletId": "f4856bb7-d77a-4a6a-9c8a-7d7f6f639cfb",
"userId": "user:9d18dc5a409e4f0f94ff6812e324c959",
"walletPublicKey": "-----BEGIN PUBLIC KEY-----\nMFYwEAYHKoZIzj0CAQYFK4EEAAoDQgAE1MtHIxlGP5TARqBccrddNm1FnYH1Fp+o\nnETz5KbXPSeG5FGwKMUXGfAmSZJq2gENULFewwymt+9bTXkjBZhh8A==\n-----END PUBLIC KEY-----"
}{
"message": "Invalid URL: UUID parsing failed"
}{
"message": "Unauthorized access to wallet service is not allowed."
}{
"message": "User user:9d18dc5a409e4f0f94ff6812e324c959 unauthorized for Wallet f5d223f6-fc41-42b1-b2a6-475a2984486c"
}{
"message": "Internal Server Error"
}